Axis2/C: http simple response

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# http simple response
[http transport]

## Typedefs
typedef struct axis2_http_simple_response | axis2_http_simple_response_t
## Functions
AXIS2_EXTERN axis2_status_t | axis2_http_simple_response_set_status_line (struct axis2_http_simple_response *simple_response, const axutil_env_t *env, const axis2_char_t *http_ver, const int status_code, const axis2_char_t *phrase)
AXIS2_EXTERN axis2_char_t * | axis2_http_simple_response_get_phrase (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN int | axis2_http_simple_response_get_status_code (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_simple_response_get_http_version (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_simple_response_get_status_line (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_http_simple_response_contains_header (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axutil_array_list_t * | axis2_http_simple_response_get_headers (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_http_simple_response_extract_headers (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_header_t * | axis2_http_simple_response_get_first_header (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, const axis2_char_t *str)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_response_remove_headers (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, const axis2_char_t *str)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_response_set_header (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, axis2_http_header_t *header)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_response_set_headers (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, axis2_http_header_t **headers, axis2_ssize_t array_size)
AXIS2_EXTERN const axis2_char_t * | axis2_http_simple_response_get_charset (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axis2_ssize_t | axis2_http_simple_response_get_content_length (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN const axis2_char_t * | axis2_http_simple_response_get_content_type (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_response_set_body_string (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, axis2_char_t *str)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_response_set_body_stream (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, axutil_stream_t *stream)
AXIS2_EXTERN axutil_stream_t * | axis2_http_simple_response_get_body (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axis2_ssize_t | axis2_http_simple_response_get_body_bytes (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, axis2_char_t **buf)
AXIS2_EXTERN void | axis2_http_simple_response_free (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_simple_response_t * | axis2_http_simple_response_create (const axutil_env_t *env, axis2_http_status_line_t *status_line, const axis2_http_header_t **http_headers, const axis2_ssize_t http_hdr_count, axutil_stream_t *content)
AXIS2_EXTERN axis2_http_simple_response_t * | axis2_http_simple_response_create_default (const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_http_simple_response_get_mime_parts (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_simple_response_set_mime_parts (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, axutil_array_list_t *mime_parts)
axis2_status_t | axis2_http_simple_response_set_http_version (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, axis2_char_t *http_version)
AXIS2_EXTERN axis2_char_t * | axis2_http_simple_response_get_mtom_sending_callback_name (axis2_http_simple_response_t *simple_response, const axutil_env_t *env)
void AXIS2_EXTERN | axis2_http_simple_response_set_mtom_sending_callback_name (axis2_http_simple_response_t *simple_response, const axutil_env_t *env, axis2_char_t *mtom_sending_callback_name)

## Typedef Documentation

typedef struct axis2_http_simple_response axis2_http_simple_response_t

Type name for struct axis2_http_simple_response

## Function Documentation

AXIS2_EXTERN axis2_bool_t axis2_http_simple_response_contains_header | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | name |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | name | pointer to name

AXIS2_EXTERN axis2_http_simple_response_t* axis2_http_simple_response_create | ( | const axutil_env_t * | env,
|  | axis2_http_status_line_t * | status_line,
|  | const axis2_http_header_t ** | http_headers,
|  | const axis2_ssize_t | http_hdr_count,
|  | axutil_stream_t * | content |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | status_line | pointer to status line
  | http_headers | double pointer to http_headers
  | http_hdr_count |
  | content | pointer to content

AXIS2_EXTERN axis2_http_simple_response_t* axis2_http_simple_response_create_default | ( | const axutil_env_t * | env | ) |

Parameters:

  | env | pointer to environment struct

AXIS2_EXTERN axutil_array_list_t* axis2_http_simple_response_extract_headers | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN void axis2_http_simple_response_free | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axutil_stream_t* axis2_http_simple_response_get_body | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_ssize_t axis2_http_simple_response_get_body_bytes | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env,
|  | axis2_char_t ** | buf |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | buf | double pointer to buf

AXIS2_EXTERN const axis2_char_t* axis2_http_simple_response_get_charset | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_ssize_t axis2_http_simple_response_get_content_length | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN const axis2_char_t* axis2_http_simple_response_get_content_type | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_http_header_t* axis2_http_simple_response_get_first_header | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | str |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | str | pointer to str

AXIS2_EXTERN axutil_array_list_t* axis2_http_simple_response_get_headers | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_char_t* axis2_http_simple_response_get_http_version | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_char_t* axis2_http_simple_response_get_phrase | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN int axis2_http_simple_response_get_status_code | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_char_t* axis2_http_simple_response_get_status_line | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_status_t axis2_http_simple_response_remove_headers | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | str |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | str | pointer to str

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_simple_response_set_body_stream | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env,
|  | axutil_stream_t * | stream |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | stream | pointer to stream

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_simple_response_set_body_string | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | str |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | str | pointer to str

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_simple_response_set_header | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env,
|  | axis2_http_header_t * | header |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | header | pointer to header

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_simple_response_set_headers | ( | axis2_http_simple_response_t * | simple_response,
|  | const axutil_env_t * | env,
|  | axis2_http_header_t ** | headers,
|  | axis2_ssize_t | array_size |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | headers | double pointer to headers
  | array_size |

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_simple_response_set_status_line | ( | struct axis2_http_simple_response * | simple_response,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | http_ver,
|  | const int | status_code,
|  | const axis2_char_t * | phrase |
| ) |  |  |

Parameters:

  | simple_response | pointer to simple response struct
  | env | pointer to environment struct
  | http_ver | pointer to http_ver
  | status_code | pointer to status code
  | phrase | pointer to phrase

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE